lwIP 2.1.2 Lightweight IP stack

Functions | Variables
snmp_traps.c File Reference
`#include "lwip/apps/snmp_opts.h"`
`#include <string.h>`
`#include "lwip/snmp.h"`
`#include "lwip/sys.h"`
`#include "lwip/apps/snmp.h"`
`#include "lwip/apps/snmp_core.h"`
`#include "lwip/prot/iana.h"`
`#include "snmp_msg.h"`
`#include "snmp_asn1.h"`
`#include "snmp_core_priv.h"`

## Functions
void | snmp_trap_dst_enable (u8_t dst_idx, u8_t enable)
void | snmp_trap_dst_ip_set (u8_t dst_idx, const ip_addr_t *dst)
void | snmp_set_auth_traps_enabled (u8_t enable)
u8_t | snmp_get_auth_traps_enabled (void)
err_t | snmp_send_trap (const struct snmp_obj_id *eoid, s32_t generic_trap, s32_t specific_trap, struct snmp_varbind *varbinds)
err_t | snmp_send_trap_generic (s32_t generic_trap)
err_t | snmp_send_trap_specific (s32_t specific_trap, struct snmp_varbind *varbinds)
void | snmp_coldstart_trap (void)
void | snmp_authfail_trap (void)

## Variables
const char * | snmp_community_trap
void * | snmp_traps_handle

## Detailed Description

SNMPv1 traps implementation.

## Variable Documentation

## ◆ snmp_community_trap

const char* snmp_community_trap

Agent community string for sending traps

SNMP community string for sending traps

## ◆ snmp_traps_handle

void* snmp_traps_handle

handle for sending traps